iPhone 3G on 2.2, How to unlock?

Discussion in 'Jailbreaks and iOS Hacks' started by Nitromaster, May 9, 2009.

  1. Nitromaster macrumors 6502

    Joined:
    Jan 7, 2007
    Location:
    Ireland.
    #1
    Hi
    I avoided updating to 2.2.1 for obvious reasons. I want to unlock my iPhone now, I don't care about jailbreaking/etc although this is required in order to unlock, yes?
    Do I *have* to upgrade to 2.2.1 with the 2.2 baseband using quickpwn/pwnagetool? And then unlock using yellowsnow?
    Just a bit confused....After reading a lot of conflicting information out there.

    Thanks
     
  2. Nitromaster thread starter macrumors 6502

    Joined:
    Jan 7, 2007
    Location:
    Ireland.
    #2
    Anyone?

    Could I just use QuickPwn on 2.2, then yellowsnow it to unlock?
     
  3. r6girl Administrator/Editor

    r6girl

    Staff Member

    Joined:
    Sep 6, 2003
    Location:
    Massachusetts
    #3
    No, you are not required to upgrade to 2.2.1 to unlock it. The only stipulation if you want to upgrade to 2.2.1 is that you keep the 2.28.00 baseband, which you can only do if you upgrade using the Pwnage Tool.

    iClarified has great tutorials - here's the one for unlocking a 3G iPhone running 2.2 or 2.2.1.
     
  4. jmann macrumors 604

    jmann

    Joined:
    Dec 8, 2007
    Location:
    bump on a log in a hole in the bottom of the sea
    #4
    Don't bother updgrading to 2.2.1 if you don't have a Mac, it will be too much of a hassle to get a custom 2.2.1 firmware with no baseband update. You should just stick with quickpwn and 2..2, and then download/install yellowsn0w from the http://apt9.yellowsn0w.com/ source in cydia. :)
     

Share This Page